=== src/libs/datetime/CMakeLists.txt ===
# main file for src




FILE(GLOB _src_datetime "*.cpp")

SET(src_datetime ${_src_datetime} PARENT_SCOPE)
