=== debian/changelog ===
davix (0.6.7-1) unstable; urgency=medium

  * Update to version 0.6.7
  * Migrate to dbgsym packages
  * Fix warnings about code examples that can not be parsed in documentation
  * Remove .doctrees directory from documentation

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 22 Feb 2018 13:57:34 +0100
