=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	# Remove bundled stuff
	rm -rf deps/strptime
	rm -rf test/pywebdav
	rm -rf doc/sphinx/_themes/sphinx_rtd_theme
	# Debian's gtest is not precompiled - link source
	ln -fs /usr/src/gtest deps/googletest/googletest
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUNIT_TESTS=TRUE \
		-DGTEST_EXTERNAL=TRUE \
		-DENABLE_HTML_DOCS=TRUE \
		-DENABLE_THIRD_PARTY_COPY=TRUE

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	rm debian/tmp/usr/share/doc/davix/LICENSE
	rm -rf debian/tmp/usr/include/gtest
	rm debian/tmp/usr/lib/libgtest.a
	rm debian/tmp/usr/lib/libgtest_main.a
	rm -rf debian/tmp/usr/share/doc/davix/html/.doctrees
	rm -rf debian/tmp/usr/share/doc/davix/html/_static/css
	ln -s /usr/share/sphinx_rtd_theme/static/css \
	   debian/tmp/usr/share/doc/davix/html/_static/css
	rm -rf debian/tmp/usr/share/doc/davix/html/_static/fonts
	ln -s /usr/share/sphinx_rtd_theme/static/fonts \
	   debian/tmp/usr/share/doc/davix/html/_static/fonts
	rm -rf debian/tmp/usr/share/doc/davix/html/_static/js
	ln -s /usr/share/sphinx_rtd_theme/static/js \
	   debian/tmp/usr/share/doc/davix/html/_static/js
	rm debian/tmp/usr/share/doc/davix/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js \
	   debian/tmp/usr/share/doc/davix/html/_static/jquery.js
	rm debian/tmp/usr/share/doc/davix/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js \
	   debian/tmp/usr/share/doc/davix/html/_static/underscore.js
	dh_install
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='davix-dbg (<< 0.6.7), libdavix-dbg (<< 0.6.7)'

override_dh_auto_clean:
	rm -f deps/googletest/googletest
	rm -f include/davix/features.hpp
	dh_auto_clean

override_dh_auto_test:
	( cd obj-* ; make abi-check )
	dh_auto_test -- ARGS+="-V -T Test"
