## davix 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 6)
-set(VERSION_PATCH 7)
+set(VERSION_PATCH 8)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 set(VERSION_TAG "")
