=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 if(UNIT_TESTS)
 
 include_directories(${PROJECT_SOURCE_DIR}/src "." ${GTEST_INCLUDE_DIRS})
-include_directories(${HEADER_RAPIDJSON})
 
 ## gtest
 set(GTEST ${CMAKE_SOURCE_DIR}/deps/googletest/googletest )
@@ -32,9 +31,9 @@
 add_definitions( -DTEST_VALID_CERT="${TEST_CRED_PATH}" -DTEST_VALID_CERT_PASS="${TEST_CRED_PASS}")
 add_executable(g_test_unit_davix_exe ${src_context} ${src_session} ${src_credential}
                 ${src_httprequest} ${src_datetime} ${src_neon} ${src_parser} ${src_auth} ${src_utils} ${src_parser} ${SRC_BASE64}
-                ${SRC_HMACSHA1} ${davix_tool_common_src} ${src_files} ${src_alibxx})
+                ${SRC_HMACSHA1} ${src_files} ${src_alibxx})
 
-target_link_libraries(g_test_unit_davix_exe alibxx_core libdavix gtest gtest_main ${CMAKE_THREAD_LIBS_INIT} ${LIBSSL_PKG_LIBRARIES})
+target_link_libraries(g_test_unit_davix_exe alibxx_core davix_tool_lib libdavix gtest gtest_main ${CMAKE_THREAD_LIBS_INIT} ${LIBSSL_PKG_LIBRARIES})
 add_dependencies(g_test_unit_davix_exe libdavix)
