=== debian/changelog ===
davix (0.6.8-1) unstable; urgency=medium

  * Update to version 0.6.8
  * Drop patches davix-straight-quotes-in-code-example.patch and
    davix-spell.patch (accepted upstream)
  * Unbundle new dependency rapidjson

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Jun 2018 10:15:57 +0200

davix (0.6.7-4) unstable; urgency=medium

  * Don't run abi-check test - not compatible with GCC 8 (Closes: #897735)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 07 May 2018 16:38:41 +0200

davix (0.6.7-3) unstable; urgency=medium

  * Adjust Build-Depends due to googletest package split
  * Fix some inconsistencies in the precompiler macro names

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 26 Apr 2018 13:20:23 +0200

davix (0.6.7-2) unstable; urgency=medium

  * Use precompiled gtest library now that Debian provides a sane googletest
    package (Closes: #896453)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Apr 2018 09:29:52 +0200
