=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,15 @@
 override_dh_auto_configure:
 	# Remove bundled stuff
 	rm -rf deps/strptime
+	rm -rf src/libs/rapidjson
 	rm -rf test/pywebdav
 	rm -rf doc/sphinx/_themes/sphinx_rtd_theme
-	# Debian's gtest is not precompiled - link source
-	ln -fs /usr/src/gtest deps/googletest/googletest
+	# Create empty googletest directory
+	mkdir -p deps/googletest/googletest
+	# Symlink to system rapidjson
+	ln -s /usr/include/rapidjson src/libs/rapidjson
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 		-DUNIT_TESTS=TRUE \
-		-DGTEST_EXTERNAL=TRUE \
 		-DENABLE_HTML_DOCS=TRUE \
 		-DENABLE_THIRD_PARTY_COPY=TRUE
 
@@ -31,9 +33,6 @@
 
 override_dh_install:
 	rm debian/tmp/usr/share/doc/davix/LICENSE
-	rm -rf debian/tmp/usr/include/gtest
-	rm debian/tmp/usr/lib/libgtest.a
-	rm debian/tmp/usr/lib/libgtest_main.a
 	rm -rf debian/tmp/usr/share/doc/davix/html/.doctrees
 	rm -rf debian/tmp/usr/share/doc/davix/html/_static/css
 	ln -s /usr/share/sphinx_rtd_theme/static/css \
@@ -51,16 +50,17 @@
 	ln -s /usr/share/javascript/underscore/underscore.js \
 	   debian/tmp/usr/share/doc/davix/html/_static/underscore.js
 	dh_install
+
+override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='davix-dbg (<< 0.6.7), libdavix-dbg (<< 0.6.7)'
 
 override_dh_auto_clean:
-	rm -f deps/googletest/googletest
 	rm -f include/davix/features.hpp
+	rm -rf src/libs/rapidjson
 	dh_auto_clean
 
 override_dh_auto_test:
-	( cd obj-* ; make abi-check )
 	dh_auto_test -- ARGS+="-V -T Test"
