## davix 0.7.1

=== debian/changelog ===
davix (0.7.1-1) unstable; urgency=medium

  * Update to version 0.7.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Oct 2018 14:31:09 +0200
