=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), cmake, libxml2-dev, libssl-dev, gsoap, libgtest-dev (>= 1.8.0-7), pkg-config, doxygen, python3-sphinx, python3-sphinx-rtd-theme, zlib1g-dev, uuid-dev, rapidjson-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/davix
 Vcs-Git: https://salsa.debian.org/ellert/davix.git
