=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,23 @@
 	mkdir -p deps/googletest/googletest
 	# Symlink to system rapidjson
 	ln -s /usr/include/rapidjson src/libs/rapidjson
+	# Create version.cmake
+	version=$$(dpkg-parsechangelog -S version | cut -d- -f1) ; \
+	major=$$(echo $$version | cut -d. -f1) ; \
+	minor=$$(echo $$version | cut -d. -f2) ; \
+	patch=$$(echo $$version | cut -d. -f3) ; \
+	minip=$$(echo $$version | cut -d. -f4) ; \
+	sed -e "s!@VERSION_MAJOR@!$$major!" \
+	    -e "s!@VERSION_MINOR@!$$minor!" \
+	    -e "s!@VERSION_PATCH@!$$patch!" \
+	    -e "s!@VERSION_MINIPATCH@!$$minip!" \
+	    -e "s!@VERSION_FULL@!$$version!" \
+	    version.cmake.in > version.cmake
+	# Replace the genversion.py script with a no-op
+	# The script doesn't do anything outside a git checkout anyway and
+	# replacing it avoids a build dependency on python2
+	rm -f genversion.py
+	ln -s /bin/true genversion.py
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 		-DUNIT_TESTS=TRUE \
 		-DENABLE_HTML_DOCS=TRUE \
@@ -59,6 +76,8 @@
 
 override_dh_auto_clean:
 	rm -f include/davix/features.hpp
+	rm -f version.cmake
+	rm -f genversion.py
 	rm -rf src/libs/rapidjson
 	dh_auto_clean
