## davix 0.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,40 @@
 ## cmake build script for davix
 project (davix)
 cmake_minimum_required (VERSION 2.6)
+
+# Find the python executable to use during the build.
+find_package(PythonInterp REQUIRED)
+
+#-------------------------------------------------------------------------------
+# Regenerate include/davix/features.hpp and version.cmake at _build_ time
+#-------------------------------------------------------------------------------
+add_custom_target(GenerateVersionInfo ALL DEPENDS Version)
+add_custom_command(
+  OUTPUT Version
+  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template include/davix/features.hpp.in --out include/davix/features.hpp
+  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
+  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
+#-------------------------------------------------------------------------------
+# Regenerate version.cmake at _configure_ time. Important since the above
+# only regenerates it at compile time.
+#-------------------------------------------------------------------------------
+execute_process(
+  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genversion.py --template version.cmake.in --out version.cmake
+  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
+#-------------------------------------------------------------------------------
+# Include version.cmake. Whenever the version changes, ie you commit or tag,
+# the following happens:
+# - Next time you run 'make', version.cmake is updated.
+# - The next 'make' will detect version.cmake was changed, and cmake will
+#   reconfigure itself.
+#
+# A bit hacky.
+#-------------------------------------------------------------------------------
+include(version.cmake REQUIRED)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
 option(SHARED_LIBRARY "generate shared library" TRUE)
@@ -27,12 +61,6 @@
 
 
 set(OUTPUT_NAME_DAVIX "davix")
-set(VERSION_MAJOR 0)
-set(VERSION_MINOR 6)
-set(VERSION_PATCH 8)
-set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-set(VERSION_TAG "")
-
 
 # components
 option(ENABLE_TOOLS "enable or disable tools " TRUE)
@@ -44,8 +72,6 @@
 option(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)
 
 # tests
-option(UNIT_TESTS "enable or disable the unit tests" FALSE)
-option(FUNCTIONAL_TESTS "enable or disable the functional tests" FALSE)
 option(BENCH_TESTS "enable or disable the bench tests" FALSE)
 
 # libs checks
@@ -91,7 +117,6 @@
 endif()
 
 add_subdirectory (test)
-add_subdirectory (packaging)
 
 
 #############################################################################
@@ -106,7 +131,7 @@
 
 ##############################################################################
 ## Doc file
-install(FILES RELEASE-NOTES LICENSE
+install(FILES RELEASE-NOTES.md LICENSE
                 DESTINATION ${DOC_INSTALL_DIR}/) # install release notes
