=== debian/changelog ===
davix (0.7.2-1) unstable; urgency=medium

  * Update to version 0.7.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 19 Feb 2019 11:46:50 +0100

davix (0.7.1-3) unstable; urgency=medium

  * Fix cmake config warning due to Python 3 incompatibility

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Nov 2018 15:23:43 +0100

davix (0.7.1-2) unstable; urgency=medium

  * Split out a davix-tests package
  * Update the .shlibs file

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 03 Nov 2018 06:44:32 +0100
