=== debian/control ===
--- 
+++ 
@@ -15,6 +15,16 @@
 Description: Toolkit for http based file management
  Davix is a toolkit designed for file operations with http based protocols
  (WebDav, Amazon S3, ...).
+
+Package: davix-tests
+Architecture: any
+Multi-Arch: foreign
+Replaces: davix (<< 0.7.1-2~)
+Breaks: davix (<< 0.7.1-2~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0v5 (= ${binary:Version})
+Description: Test suite for davix
+ Test suite for davix. Davix is a toolkit designed for file operations
+ with http based protocols (WebDav, Amazon S3, ...).
 
 Package: libdavix0v5
 Section: libs
