=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,8 @@
 	# The script doesn't do anything outside a git checkout anyway and
 	# replacing it avoids a build dependency on python2
 	rm -f genversion.py
-	ln -s /bin/true genversion.py
+	touch genversion.py
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
-		-DUNIT_TESTS=TRUE \
 		-DENABLE_HTML_DOCS=TRUE \
 		-DENABLE_THIRD_PARTY_COPY=TRUE
