## davix 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,9 @@
 #
 # A bit hacky.
 #-------------------------------------------------------------------------------
-include(version.cmake REQUIRED)
+include(release.cmake REQUIRED)
+include(version.cmake)
+message("Configuring cmake for davix version: ${VERSION_FULL}")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
 option(SHARED_LIBRARY "generate shared library" TRUE)
