=== debian/changelog ===
davix (0.7.4-1) unstable; urgency=medium

  * Update to version 0.7.4
  * Change to debhelper compat level 10
  * Add Build-Depends on libgsoap-dev due to gsoap packaging change

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 23 Jul 2019 19:34:45 +0200

davix (0.7.3-1) unstable; urgency=medium

  * Update to version 0.7.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 May 2019 11:43:26 +0200
